FSImageFormatProtobuf.SectionName (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FSImageFormatProtobuf, enum: SectionName

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class FSImageFormatProtobuf.SectionName

java.lang.Object
java.lang.Enum<FSImageFormatProtobuf.SectionName>
org.apache.hadoop.hdfs.server.namenode.FSImageFormatProtobuf.SectionName

All Implemented Interfaces:
  `Serializable`, `Comparable<FSImageFormatProtobuf.SectionName>`, `Constable`

Enclosing class:
  FSImageFormatProtobuf

public static enum FSImageFormatProtobuf.SectionName extends Enum<FSImageFormatProtobuf.SectionName>
Supported section name. The order of the enum determines the order of loading.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CACHE_MANAGER`
  `ERASURE_CODING`
  `EXTENDED_ACL`
  `FILES_UNDERCONSTRUCTION`
  `INODE`
  `INODE_DIR`
  `INODE_DIR_SUB`
  `INODE_REFERENCE`
  `INODE_REFERENCE_SUB`
  `INODE_SUB`
  `NS_INFO`
  `SECRET_MANAGER`
  `SNAPSHOT`
  `SNAPSHOT_DIFF`
  `SNAPSHOT_DIFF_SUB`
  `STRING_TABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FSImageFormatProtobuf.SectionName`
  `fromString(String name)`
  `static FSImageFormatProtobuf.SectionName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FSImageFormatProtobuf.SectionName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NS_INFO

    public static final FSImageFormatProtobuf.SectionName NS_INFO

  - ### STRING_TABLE

    public static final FSImageFormatProtobuf.SectionName STRING_TABLE

  - ### EXTENDED_ACL

    public static final FSImageFormatProtobuf.SectionName EXTENDED_ACL

  - ### ERASURE_CODING

    public static final FSImageFormatProtobuf.SectionName ERASURE_CODING

  - ### INODE

    public static final FSImageFormatProtobuf.SectionName INODE

  - ### INODE_SUB

    public static final FSImageFormatProtobuf.SectionName INODE_SUB

  - ### INODE_REFERENCE

    public static final FSImageFormatProtobuf.SectionName INODE_REFERENCE

  - ### INODE_REFERENCE_SUB

    public static final FSImageFormatProtobuf.SectionName INODE_REFERENCE_SUB

  - ### SNAPSHOT

    public static final FSImageFormatProtobuf.SectionName SNAPSHOT

  - ### INODE_DIR

    public static final FSImageFormatProtobuf.SectionName INODE_DIR

  - ### INODE_DIR_SUB

    public static final FSImageFormatProtobuf.SectionName INODE_DIR_SUB

  - ### FILES_UNDERCONSTRUCTION

    public static final FSImageFormatProtobuf.SectionName FILES_UNDERCONSTRUCTION

  - ### SNAPSHOT_DIFF

    public static final FSImageFormatProtobuf.SectionName SNAPSHOT_DIFF

  - ### SNAPSHOT_DIFF_SUB

    public static final FSImageFormatProtobuf.SectionName SNAPSHOT_DIFF_SUB

  - ### SECRET_MANAGER

    public static final FSImageFormatProtobuf.SectionName SECRET_MANAGER

  - ### CACHE_MANAGER

    public static final FSImageFormatProtobuf.SectionName CACHE_MANAGER

- ## Method Details

  - ### values

    public static FSImageFormatProtobuf.SectionName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FSImageFormatProtobuf.SectionName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static FSImageFormatProtobuf.SectionName fromString(String name)